#
# spec file for package perl-Class-Std
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Class-Std
Version:        0.013
Release:        1.34
%define cpan_name Class-Std
Summary:        Support for creating standard "inside-out" classes
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Class-Std/
Source0:        http://www.cpan.org/authors/id/C/CH/CHORNY/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.420000
%{perl_requires}

%description
This module provides tools that help to implement the "inside out object"
class structure in a convenient and standard way.

_Portions of the following code and documentation from "Perl Best
Practices" copyright (c) 2005 by O'Reilly Media, Inc. and reprinted with
permission._

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes demo README

%changelog
* Sun Jun  7 2015 coolo@suse.com
- updated to 0.013
  see /usr/share/doc/packages/perl-Class-Std/Changes
  0.012 2015-05-24
  - pod fixed
  - better META.*
  0.013 2015-05-24
  - version in Class::Std::SCR
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Sep  8 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- noarch pkg
- bzipped/cleanup source
* Thu Dec 24 2009 rbos@opensuse.org
- Removed git repository information (thanks for all the work, Dan)
- Fixed incompatibility with Perl 5.11+ label constraints
- Remove unneeded dependency on version.pm
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Thu Jun 18 2009 chris@computersalat.de
- spec fix for perl-macros
* Tue Jun 16 2009 chris@computersalat.de
- added perl-macros
  o autogen filelist with perl_gen_filelist
* Fri Jun 12 2009 chris@computersalat.de
- upgrade to new version 0.0.9
- some spec mods
  o deps
  o autogen filelist
* Sun Dec  9 2007 rbos@opensuse.org
- Initial rpm build
